## INTRODUCTION

The Git Hooks Drupal Practice module is a helper module to set up PHPCS making
use of the Acquia Strict Drupal Coding Standards and Drupal Rector to check
code quality of staged files before committing.

The module also sets up a Git commit-msg hook to check the commit message
format making sure it starts with a ticket number (e.g., ABC-123:) and is at
least 10 characters long after the colon.

The primary use case for this module is checking the code quality before
committing.

## REQUIREMENTS

- Drupal 10
- PHP 8.1

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION

- This module doesn't require any configuration. It will create git hooks in the
  `.git/hooks` directory of the project root.

## MAINTAINERS

Current maintainers for Drupal 10:

- ALVARO DE MENDOZA - https://www.drupal.org/u/alvarodemendoza
